* {
  margin: 0;
  padding: 0;
  user-select: none;
}
html {
  font-family: 'Prosto One', cursive;
}

.container {
  display: flex;
  width: 100vw;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(
    to bottom,
    rgb(140, 149, 99) 0%,
    rgba(10, 114, 187, 1) 100%
  );
  flex-direction: row;
}

.btn {
  position: fixed;
  top: 0;
  margin-top: 3px;
  width: 480px;
  height: 58px;
  font-size: 18px;
  color: rgb(241, 49, 49);
  font-size: 20px;
  font-weight: bold;
  border-radius: 5px;
  background-color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  user-select: none;
  transition: all 0.1s ease-out;
  text-align: center;
}
.game_over_button {
  width: 130px;
  position: static;
}
.btn[disabled] {
  cursor: default;
  background-color: black;
}

.car {
  position: fixed;
  width: 30px;
  height: 20px;
  background-color: blueviolet;
}
.bike {
  position: fixed;
  width: 25px;
  height: 10px;
  background-color: rgb(43, 226, 46);
}

.pedestrian {
  position: fixed;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: darkred;
}

.lifebar {
  position: fixed;
  top: 0;
  left: 0;
  width: 150px;
  height: 50px;
  display: flex;
}

.life {
  height: 40px;
  width: 40px;
  margin: 5px;
}

.game_over,
.level_complete {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background-color: rgba(222, 5, 5, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  font-size: 70px;
  color: red;
  z-index: 1;
}
.game_over_title {
  text-transform: uppercase;
  font-weight: 900;
  margin-bottom: 132px;
}
img {
  width: 250px;
  height: 250px;
}

.level_complete {
  background-color: rgba(43, 226, 49, 0.2);
}

.timer {
  position: fixed;
  top: 0;
  right: 15px;
  font-size: 32px;
  width: 150px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: black;
}

.bonus {
  width: 17px;
  height: 17px;
  position: fixed;
}
.sound_on {
  position: fixed;
  top: 0;
  right: 180px;
  font-size: 30px;
  margin-top: 9px;
}
.sound_off {
  position: fixed;
  top: 0;
  right: 180px;
  font-size: 30px;
  margin-top: 9px;
}
.start {
  background-color: black;
  color: rgb(241, 49, 49);
  width: 100vw;
  height: 100vh;
  z-index: 20;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 30px;
  text-align: center;
}
.level_counter {
  position: fixed;
  top: 0;
  left: 160px;
  color: black;
  margin-top: 9px;
  font-size: 20px;
}
.game_over_result {
  font-size: 25px;
  color: red;
  z-index: 2;
  font-weight: bold;
}

@media screen and (max-width: 948px) {
  .btn:not(.game_over_button) {
    display: none;
  }
}

@media (any-pointer: coarse) {
  .container {
    background-color: black;
    background-image: none;
  }
  .container::after {
    content: 'Sorry, this game runs only on desktop';
    text-align: center;
    font-size: 72px;
    color: yellow;
    z-index: 10;
  }
  .btn {
    display: none;
  }
  .bonus {
    display: none;
  }
  .level_complete {
    display: none;
  }
  img {
    display: none;
  }
  .game_over_title {
    display: none;
  }
  .start {
    display: none;
  }
}
